//sounds//

datablock AudioProfile(ChicagoPizzaDrawSound)
{
   filename = "./sound/soundChicagoPizzaDraw.wav";
   description = AudioClose3d;
   preload = false;
};

datablock AudioProfile(ChicagoPizzaFireSound)
{
   filename = "./sound/soundChicagoPizzaFire.wav";
   description = AudioDefault3d;
   preload = false;
};

datablock AudioProfile(ChicagoPizzaEndSound)
{
   filename = "./sound/soundChicagoPizzaEnd.wav";
   description = AudioDefault3d;
   preload = false;
};

//particles//

datablock ParticleData(ChicagoPizzaMuzzleStarParticle)
{
	dragCoefficient      = 1;
	gravityCoefficient   = -0.2;
	inheritedVelFactor   = 1.0;
	constantAcceleration = 0.0;
	lifetimeMS           = 200;
	lifetimeVarianceMS   = 0;
	textureName          = "base/data/particles/star1";
	spinSpeed		= 10.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]     = "0.8 0.4 0.0 0.5";
	colors[1]     = "1.0 0.0 0.0 0.1";
	sizes[0]      = 0.75;
	sizes[1]      = 0.45;

	useInvAlpha = false;
};

datablock ParticleData(ChicagoPizzaExplosionStarParticle)
{	
	dragCoefficient      = 0;
	gravityCoefficient   = -1;
	inheritedVelFactor   = 1.0;
	constantAcceleration = 0.0;
	lifetimeMS           = 350;
	lifetimeVarianceMS   = 0;
	textureName          = "base/data/particles/star1";
	spinSpeed		= 100.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]     = "0.0 0.0 0.0 0.9";
	colors[1]     = "0.2 0.2 0.0 0.3";
	colors[2]     = "0.9 0.0 0.0 0.0";
	sizes[0]      = 9.8;
	sizes[1]      = 9.2;
	sizes[2]      = 8.0;
	times[0]	  = 0.0;
	times[1]	  = 0.3;
	times[2]	  = 1.0;

	useInvAlpha = false;
};

datablock ParticleData(ChicagoPizzaExplosionDotParticle)
{	
	dragCoefficient      = 4;
	gravityCoefficient   = -0.5;
	inheritedVelFactor   = 1.0;
	constantAcceleration = 0.0;
	lifetimeMS           = 700;
	lifetimeVarianceMS   = 0;
	textureName          = "base/data/particles/dot";
	spinSpeed		= 0.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]     = "0.5 0.5 0.5 0.1";
	colors[1]     = "0.5 0.0 0.0 0.5";
	colors[2]     = "1.0 0.0 1.0 0.0";
	sizes[0]      = 0.5;
	sizes[1]      = 0.6;
	sizes[2]      = 1.2;
	times[0]	  = 0.0;
	times[1]	  = 0.8;
	times[2]	  = 1.0;

	useInvAlpha = false;
};

//emitter//

datablock ParticleEmitterData(ChicagoPizzaMuzzleEmitter)
{
   ejectionPeriodMS = 4;
   periodVarianceMS = 0;
   ejectionVelocity = 6.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 1;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "ChicagoPizzaMuzzleStarParticle";
};

datablock ParticleEmitterData(ChicagoPizzaExplosionStarEmitter)
{
   ejectionPeriodMS = 4;
   periodVarianceMS = 0;
   ejectionVelocity = 3.0;
   velocityVariance = 0.25;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "ChicagoPizzaExplosionStarParticle";
};

datablock ParticleEmitterData(ChicagoPizzaExplosionDotEmitter)
{
   ejectionPeriodMS = 5;
   periodVarianceMS = 0;
   ejectionVelocity = 10.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.5;
   thetaMin         = 0;
   thetaMax         = 90;
   phiReferenceVel  = 120;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "ChicagoPizzaExplosionDotParticle";
};

//explosions
datablock ExplosionData(ChicagoPizzaExplosion)
{
	soundProfile = rocketExplodeSound;

   lifeTimeMS = 350;

   Emitter[0] = ChicagoPizzaExplosionDotEmitter;
   Emitter[1] = ChicagoPizzaExplosionStarEmitter;
   particleDensity = 10;
   particleRadius = 1.0;

   shakeCamera = true;
   camShakeFreq = "1.0 11.0 1.0";
   camShakeAmp = "10.0 10.0 10.0";
   camShakeDuration = 2.0;
   camShakeRadius = 10.0;


   damageRadius = 6.0;
   radiusDamage = 12;

   impulseRadius = 8.0;
   impulseForce = 400;
};

//projectiles
AddDamageType("ChicagoPizza",   '<bitmap:add-ons/Weapon_ChicagoPizza/IMG/CI_ChicagoPizza> %1',    '%2 <bitmap:add-ons/Weapon_ChicagoPizza/IMG/CI_ChicagoPizza> %1',1,0);
datablock ProjectileData(ChicagoPizzaProjectile)
{
   projectileShapeName = "./Model/SauceProjectile.dts";
   directDamage        = 30;
   directDamageType = $DamageType::ChicagoPizza;
   radiusDamageType = $DamageType::ChicagoPizza;
   impactImpulse	   = 1500;
   verticalImpulse	   = 800;
   explosion           = ChicagoPizzaExplosion;
   particleEmitter     = rocketLauncherFlashEmitter;

   brickExplosionRadius = 3;
   brickExplosionImpact = false;          //destroy a brick if we hit it directly?
   brickExplosionForce  = 30;             
   brickExplosionMaxVolume = 30;          //max volume of bricks that we can destroy
   brickExplosionMaxVolumeFloating = 60;  //max volume of bricks that we can destroy if they aren't connected to the ground (should always be >= brickExplosionMaxVolume)

   muzzleVelocity      = 140;
   velInheritFactor    = 1.0;

   armingDelay         = 00;
   lifetime            = 4000;
   fadeDelay           = 3500;
   bounceElasticity    = 0.5;
   bounceFriction      = 0.20;
   isBallistic         = true;
   gravityMod = 0.3;
};
